## LSQArchiveCommand

LSQArchiveCommand

## Synopsis

                        LSQArchiveCommand;
    GType               lsq_archive_command_get_type        (void);
    LSQArchiveCommand*  lsq_archive_command_new             (const gchar *comment,
                                                             LSQArchive *archive,
                                                             LSQCommandFunc exec_command);
    gboolean            lsq_archive_command_stop            (LSQArchiveCommand *command);

## Object Hierarchy

      GObject
       +----LSQArchiveCommand

## Signals

      "terminated"                                     : Run Last / Action

## Description

## Details

### LSQArchiveCommand

    typedef struct _LSQArchiveCommand LSQArchiveCommand;

### lsq_archive_command_get_type ()

    GType               lsq_archive_command_get_type        (void);

Returns : |

### lsq_archive_command_new ()

    LSQArchiveCommand*  lsq_archive_command_new             (const gchar *comment,
                                                             LSQArchive *archive,
                                                             LSQCommandFunc exec_command);

`comment` : |
`archive` : |
`exec_command` : |
Returns : |

### lsq_archive_command_stop ()

    gboolean            lsq_archive_command_stop            (LSQArchiveCommand *command);

`command` : |
Returns : | TRUE on success, FALSE if the command is not running

## Signal Details

### The `"terminated"` signal

    void                user_function                      (LSQArchiveCommand *lsqarchivecommand,
                                                            gpointer           arg1,
                                                            gpointer           user_data)              : Run Last / Action

`lsqarchivecommand` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.